use actix_web::{web, HttpResponse, Responder};
use askama::Template;
use askama_actix::TemplateToResponse;

use crate::models::{Role, User};

#[derive(Template)]
#[template(path = "area/new.html")]
struct NewAreaTemplate {
    user: User,
}

#[actix_web::get("/area/new")]
async fn get(user: web::ReqData<User>) -> impl Responder {
    if user.role != Role::Admin {
        return HttpResponse::Unauthorized().finish();
    }

    let template = NewAreaTemplate {
        user: user.into_inner(),
    };

    template.to_response()
}
