use actix_web::{HttpRequest, HttpResponse, Responder};

#[actix_web::get("/users/changepassword")]
pub async fn get(request: HttpRequest) -> impl Responder {
    if let Some(_) = request.headers().get("HX-Request") {
        return HttpResponse::Ok().body(r##"
            <div class="field">
              <div class="control">
                <a href="/profile" hx-boost="true" class="button is-link is-light">Schließen</a>
              </div>
            </div>
		<form class="box" hx-post="/users/changepassword" hx-target-400="#error-message" hx-on:change="document.getElementById('error-message').innerHTML = ''">

			<div class="field">
				<label class="label" for="currentpassword">aktuelles Passwort:</label>
				<div class="control">
					<input class="input" placeholder="**********" name="currentpassword" type="password" required>
				</div>
			</div>

			<div class="field">
				<label class="label" for="password">neues Passwort:</label>
				<div class="control">
					<input class="input" placeholder="**********" name="password" type="password" required>
				</div>
			</div>

			<div class="field">
				<label class="label" for="passwordretyped">neues Passwort wiederholen:</label>
				<div class="control">
					<input class="input" placeholder="**********" name="passwordretyped" type="password" required>
				</div>
			</div>

			<div id="error-message" class="mb-3 help is-danger"></div>

			<div class="level">
				<input class="button is-primary level-left" type="submit" value="Passwort ändern" />
			</div>
		</form>
            "##);
    }

    HttpResponse::NotFound().finish()
}
